EDIT - task #8118

Update MySQL drivers
02/21/2019 02:02 PM - Andreas Mdller

Status: Feedback Start date:

Priority: Priority14 Due date:

Assignee: Andreas Muller % Done: 40%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.46

Severity: normal

Description

We are using old JDBC drivers for MySQL. ALso we do not have drivers for MariaDB. Should be added.

Related issues:

Related to EDIT - bug #8343: potential timezone problem in application stack Closed

Related to EDIT - task #9972: Upgrade edit-integration

Closed 03/17/2022

03/25/2022

Associated revisions

Revision b137f4e3 - 02/21/2019 02:04 PM - Andreas Miiller
ref #8118 drivers for MySQL updated and MariaDB added

Revision c60cae60 - 02/21/2019 02:23 PM - Andreas Miiller

ref #8118 fix compile error in SequenceTableCreator

Revision 7920febf - 02/21/2019 03:08 PM - Andreas Miiller
ref #8118 added MariaDbDatabaseType

Revision 3e6b02bb - 02/21/2019 04:17 PM - Patrick Plitzner
ref #8118 Update mysqlconnector dependency

Revision 168c2abf - 02/21/2019 04:24 PM - Patrick Plitzner

ref #8118 Update/remove mysqglconnector dependency

Revision 48fcf86f - 02/21/2019 04:47 PM - Patrick Plitzner

ref #8118 Remove outdated mysqlconnector dependency

Revision 9a02c3fb - 02/21/2019 05:13 PM - Andreas Miiller
ref #8118 fix DatabaseTypeEnumTest

Revision e443ff93 - 02/25/2019 08:46 PM - Andreas Miiller
ref #8118 update mysq|l driver package string

Revision 45fd6fd3 - 02/25/2019 09:12 PM - Andreas Miiller
ref #8118 update mysq|l driver path in code and tests

Revision ¢383fa9c - 04/15/2019 03:52 PM - Andreas Miiller
ref #8118 drivers for MySQL updated and MariaDB added

Revision 13724b0c - 04/15/2019 03:52 PM - Andreas Miiller

ref #8118 fix compile error in SequenceTableCreator

Revision cb620033 - 04/15/2019 03:52 PM - Andreas Miiller
ref #8118 added MariaDbDatabaseType
Revision 520123a5 - 04/15/2019 03:52 PM - Andreas Miiller
ref #8118 fix DatabaseTypeEnumTest

Revision de89e527 - 04/15/2019 03:52 PM - Andreas Miiller
ref #8118 update mysq|l driver package string

Revision 8f96afd0 - 04/15/2019 03:53 PM - Andreas Miiller
ref #8118 update mysq|l driver path in code and tests

Revision a70cdf6d - 06/15/2023 11:04 AM - Andreas Miiller

ref #8118 update mysq|l driver and spring schema version in templatesdatasources.xml for cdmserver

History

#1 - 02/21/2019 02:04 PM - Andreas Miiller
- Status changed from New to In Progress

- Priority changed from New to Highest

| added both drivers to cdmlib-db (b137f4e3)

#2 - 02/21/2019 02:26 PM - Andreas Miuller

compile error fixed

#3 - 02/21/2019 03:28 PM - Andreas Miuller

- Status changed from In Progress to Resolved

#4 - 02/21/2019 05:10 PM - Andreas Kohlbecker

- % Done changed from 0 to 40

| read through the change sets, all are looking as expected.
As next step we should run a test against a maria db server

#5 - 02/25/2019 08:28 PM - Andreas Miuller

- Status changed from Resolved to Feedback

Starting with MySQL JDBC Driver 5.1.33 serverTimezone needs to be explicitly defined in connection string or one may get problems with some DB
configurations.

It seems to happen often on Windows (KL reported it and also it happend on PESIHPC)
#6 - 02/26/2019 11:10 AM - Andreas Kohlbecker
Andreas Muller wrote:

Starting with MySQL JDBC Driver 5.1.33 serverTimezone needs to be explicitly defined in connection string or one may get problems with some
DB configurations.

It seems to happen often on Windows (KL reported it and also it happend on PESIHPC)

Can you please add a refrence to this information?
| would expect either ¢3p0 oder hibernate to properly deal with such DB specific configuration issues.
from skimming over https://dev.mysql.com/doc/refman/5.5/en/time-zone-support.html it rather seems to me that there is a server and a client

timezone. The server timezone should be set by the server system the client timezone by ¢3p0 oder hibernate, this timezone should match the client
system timezone and should not be hardcoded in mysqgl connect url parameters.

#7 - 03/06/2019 08:06 PM - Andreas Miiller

https://stackoverflow.com/questions/26515700/mysql-jdbc-driver-5-1-33-time-zone-issue

#8 - 03/06/2019 08:11 PM - Andreas Miiller
https://dev.mysql.com/doc/refman/5.5/en/time-zone-support.html
https://stackoverflow.com/questions/26515700/mysql-jdbc-driver-5-1-33-time-zone-issue

This is what | currently get when connecting to MySQL on PESIHPC:
Caused by: com.mysgl.cj.exceptions.InvalidConnectionAttributeException: The server time zone value 'Mitteleuro
pdische Zeit' is unrecognized or represents more than one time zone. You must configure either the server or J
DBC driver (via the serverTimezone configuration property) to use a more specifc time zone value if you want t
o utilize time zone support.

at sun.reflect.NativeConstructorAccessorImpl.newInstance0l (Native Method)

at sun.reflect.NativeConstructorAccessorImpl.newInstance (NativeConstructorAccessorImpl. java:62)

at sun.reflect.DelegatingConstructorAccessorImpl.newInstance (DelegatingConstructorAccessorImpl.java:45)

at java.lang.reflect.Constructor.newInstance (Constructor. java:423)

at com.mysqgl.cj.exceptions.ExceptionFactory.createException (ExceptionFactory. java:61)

#9 - 03/06/2019 08:19 PM - Andreas Miuller

- Assignee changed from Andreas Muiller to Katja Luther
Katja, | think you also had the problem localy. What did you do to fix it?
#10 - 03/06/2019 08:57 PM - Andreas Miiller
Some solution is setting on command line e.g. for Central European time (CET):
mysql> SET GLOBAL time_zone = '+1:00' (tested, 'CET' does not work here)
or in my.ini
default-time-zone=CET (untestet)
or in connection string "&useJDBCCompliantTimezoneShift=true&uselLegacyDatetimeCode=false&serverTimezone=CET" (tested but dirty)
#11 - 03/07/2019 09:39 AM - Katja Luther
Andreas Muller wrote:
Some solution is setting on command line e.g. for Central European time (CET):
mysql> SET GLOBAL time_zone = '+1:00' (tested, 'CET' does not work here)
or in my.ini
default-time-zone=CET (untestet)
or in connection string "&useJDBCCompliantTimezoneShift=true&uselLegacyDatetimeCode=false&serverTimezone=CET" (tested but dirty)

First | tried the first solution, but after restart the mysql server the problem occurs again, now | tested the second solution and this worked as well
(with default-time-zone="+00:00")

#12 - 03/18/2019 01:07 PM - Katja Luther

- Assignee changed from Katja Luther to Andreas Mtiller

#13 - 04/11/2019 10:05 AM - Andreas Miuiller

- Target version changed from Release 5.6 to Release 5.7

We should create a Wiki page for this information. Move to new milestone as this is not release critical.

#14 - 04/11/2019 11:40 AM - Andreas Kohlbecker
how to information added to MySqlFaq

#15 - 05/03/2019 10:23 AM - Andreas Miiller

- Target version changed from Release 5.7 to Release 5.8

#16 - 06/05/2019 02:31 PM - Andreas Miiller

https://dev.mysqgl.com/doc/refman/8.0/en/time-zone-support.html

#17 - 06/27/2019 07:12 PM - Andreas Kohlbecker

The proper solution it the timezone problem is documented at MySqlFaq#The-server-time-zone-value-is-unrecognized
https://dev.e-taxonomy.eu/redmine/projects/edit/wiki/MySqlFaq
https://dev.mysql.com/doc/refman/8.0/en/time-zone-support.html

#18 - 07/16/2019 03:14 PM - Andreas Miiller

- Assignee changed from Andreas Miiller to Andreas Kohlbecker

Andreas Kohlbecker wrote:

The proper solution it the timezone problem is documented at MySqlFag#The-server-time-zone-value-is-unrecognized

can you please provide a link? | can't find it on mysql FAQ e.g. https://www.mysql.com/de/about/fag/ or on the mysqgl manual reference page

#19 - 07/16/2019 03:17 PM - Andreas Miiller

- Related to bug #8343: potential timezone problem in application stack added

#20 - 07/19/2019 01:25 PM - Andreas Miiller

- Assignee changed from Andreas Kohlbecker to Andreas Miiller

#21 - 08/30/2019 02:34 PM - Andreas Miiller

- Target version changed from Release 5.8 to Release 5.10

#22 - 09/18/2019 01:40 PM - Andreas Miiller

- Target version changed from Release 5.10 to Release 5.11

#23 - 11/01/2019 09:47 AM - Andreas Muller

- Target version changed from Release 5.11 to Release 5.12

#24 - 11/19/2019 05:12 PM - Andreas Miiller

- Target version changed from Release 5.12 to Release 5.13

#25 - 03/05/2020 11:34 AM - Andreas Miiller

- Target version changed from Release 5.13 to Release 5.14

#26 - 04/03/2020 09:57 AM - Andreas Muller

- Target version changed from Release 5.14 to Release 5.15

#27 - 06/15/2020 09:11 PM - Andreas Miiller

- Target version changed from Release 5.15 to Release 5.18

#28 - 07/14/2020 04:49 PM - Andreas Miiller

- Target version changed from Release 5.18 to Release 5.19

#29 - 08/19/2020 08:46 PM - Andreas Miiller

- Target version changed from Release 5.19 to Release 5.18

#30 - 11/09/2020 01:24 PM - Andreas Miiller

- Target version changed from Release 5.18 to Release 5.19

#31 - 01/27/2021 04:50 PM - Andreas Miiller

- Target version changed from Release 5.19 to Release 5.21

#32 - 03/02/2021 09:41 PM - Andreas Miiller

- Target version changed from Release 5.21 to Release 5.22

#33 - 05/14/2021 08:08 PM - Andreas Miiller

- Target version changed from Release 5.22 to Release 5.45

#34 - 09/20/2021 12:20 PM - Andreas Miiller
- Priority changed from Highest to Priority14
https://www.mysql.com/de/about/faq/

#35 - 02/10/2022 10:37 AM - Andreas Miiller

- Target version changed from Release 5.45 to Release 5.46

#36 - 03/26/2022 12:12 AM - Andreas Miiller
- Related to task #9972: Upgrade edit-integration added
